Bug 399941 - Review Request: amanith - Crossplatform framework for 2d/3d vector graphics
Review Request: amanith - Crossplatform framework for 2d/3d vector graphics
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
Depends On:
Blocks: 399951
  Show dependency treegraph
Reported: 2007-11-26 14:10 EST by Tom "spot" Callaway
Modified: 2007-12-20 15:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-20 15:20:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tcallawa: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-11-26 14:10:48 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/amanith.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/amanith-0.3-2.fc9.src.rpm
Amanith is an OpenSource C++ CrossPlatform framework designed for 2d & 3d
vector graphics.  All the framework is heavily based on a light plug-in
Comment 1 Parag AN(पराग) 2007-11-26 22:49:14 EST
build gave me
/var/tmp/rpm-tmp.8244: line 29: qmake: command not found
Comment 2 Tom "spot" Callaway 2007-11-27 17:34:57 EST
How did you manage that? It has qt-devel as a BuildRequires... qmake is part of
Comment 3 Parag AN(पराग) 2007-11-27 22:35:11 EST
sorry. yes its working fine. I just did koji build

Comment 4 Mamoru TASAKA 2007-12-12 10:06:15 EST
For 0.3-2

* Dependency for -devel package
  - Please check the dependency (Requires) for -devel subpackage.
    For example, %_includedir/%name/gopenglext.h contains:
    32  #include <GL/glew.h>
    33  // this inclusion to make glew linking working with some platforms (ex: Mac)
    34  #include "amanith/gelement.h"
    35  #ifdef G_OS_WIN
    36          #include <GL/wglew.h>
    37  #endif
    This means amanith-devel should have "Requires: glew-devel".

* SourceURL
  - I recommend to use %{version} tag so that you probably don't have to
    change SourceURL when the new version is released.

! Some misc
export AMANITHDIR=${RPM_BUILD_DIR}/%{name}
  - I like: export AMANITHDIR=$(pwd) (not a blocker)

* Documents
  - Usually the file "INSTALL" is needed for people who want to build
    and install the package by themselves and is not needed for people
    who install the package using rpm.
Comment 5 Mamoru TASAKA 2007-12-19 05:50:37 EST
Comment 6 Tom "spot" Callaway 2007-12-19 10:29:30 EST
New Spec URL: http://www.auroralinux.org/people/spot/review/new/amanith.spec

Sorry for the delay, always a million things to do. :)

I didn't change the SourceURL, because I couldn't use the 0.3 version without
parsing the period out somehow. Suggestions on a clean way to do that without
introducing additional macros are welcomed.
Comment 7 Mamoru TASAKA 2007-12-19 11:01:00 EST
I just tried to rebuild on koji, dist-f9 but it failed.
Comment 9 Mamoru TASAKA 2007-12-19 11:51:07 EST
Okay. (It is due to mock side change that now "source"ing 
       %_sysconfdir/profile.d/qt.sh is needed? By the way, please
       use %_sysconfdir)

    This package (amanith) is APPROVED by me
Comment 10 Tom "spot" Callaway 2007-12-20 14:28:10 EST
New Package CVS Request
Package Name: amanith
Short Description: Crossplatform framework for 2d/3d vector graphics
Owners: spot
Branches: F-7 F-8 EL-4 EL-5 
Cvsextras Commits: yes
Comment 11 Tom "spot" Callaway 2007-12-20 14:32:50 EST
cvs done.
Comment 12 Tom "spot" Callaway 2007-12-20 15:20:21 EST
Built in F-7, F-8, rawhide.

Can't build in EPEL due to missing glew.

Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.